<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:15 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GrService (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GrService (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GrService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html" target="_top">Frames</a></li>
<li><a href="GrService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</div>
<h2 title="Interface GrService" class="title">Interface GrService</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Acquire.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Acquire</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwResourceService</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Release.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Release</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwAccessService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwAccessService</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/AcquireImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">AcquireImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/GrServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">GrServiceImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwResourceServiceImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/ReleaseImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">ReleaseImpl</a>, <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/impl/SwAccessServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.impl">SwAccessServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">GrService</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Gr Service</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getOwner--"><code><em>Owner</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_ExecutionSpecification--"><code><em>Base Execution Specification</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Behavior--"><code><em>Base Behavior</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Collaboration--"><code><em>Base Collaboration</em></code></a></li>
 <li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_CollaborationUse--"><code><em>Base Collaboration Use</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService--"><code>GRMPackage.getGrService()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Behavior</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Behavior--">getBase_Behavior</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Behavior</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.BehavioralFeature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_BehavioralFeature--">getBase_BehavioralFeature</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Behavioral Feature</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Collaboration</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Collaboration--">getBase_Collaboration</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Collaboration</b></em>' reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.CollaborationUse</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_CollaborationUse--">getBase_CollaborationUse</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Collaboration Use</b></em>' reference.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.ExecutionSpecification</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_ExecutionSpecification--">getBase_ExecutionSpecification</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Execution Specification</b></em>' reference.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getOwner--">getOwner</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Owner</b></em>' reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_Behavior-org.eclipse.uml2.uml.Behavior-">setBase_Behavior</a></span>(org.eclipse.uml2.uml.Behavior&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Behavior--"><code><em>Base Behavior</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-">setBase_BehavioralFeature</a></span>(org.eclipse.uml2.uml.BehavioralFeature&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_Collaboration-org.eclipse.uml2.uml.Collaboration-">setBase_Collaboration</a></span>(org.eclipse.uml2.uml.Collaboration&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Collaboration--"><code><em>Base Collaboration</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_CollaborationUse-org.eclipse.uml2.uml.CollaborationUse-">setBase_CollaborationUse</a></span>(org.eclipse.uml2.uml.CollaborationUse&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_CollaborationUse--"><code><em>Base Collaboration Use</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_ExecutionSpecification-org.eclipse.uml2.uml.ExecutionSpecification-">setBase_ExecutionSpecification</a></span>(org.eclipse.uml2.uml.ExecutionSpecification&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_ExecutionSpecification--"><code><em>Base Execution Specification</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setOwner-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource-">setOwner</a></span>(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getOwner--"><code><em>Owner</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOwner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwner</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>&nbsp;getOwner()</pre>
<div class="block">Returns the value of the '<em><b>Owner</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Owner</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Owner</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setOwner-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource-"><code>setOwner(Resource)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Owner--"><code>GRMPackage.getGrService_Owner()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOwner-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOwner</h4>
<pre>void&nbsp;setOwner(<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getOwner--"><code><em>Owner</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Owner</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getOwner--"><code>getOwner()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_ExecutionSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_ExecutionSpecification</h4>
<pre>org.eclipse.uml2.uml.ExecutionSpecification&nbsp;getBase_ExecutionSpecification()</pre>
<div class="block">Returns the value of the '<em><b>Base Execution Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Execution Specification</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Execution Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_ExecutionSpecification-org.eclipse.uml2.uml.ExecutionSpecification-"><code>setBase_ExecutionSpecification(ExecutionSpecification)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Base_ExecutionSpecification--"><code>GRMPackage.getGrService_Base_ExecutionSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_ExecutionSpecification-org.eclipse.uml2.uml.ExecutionSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_ExecutionSpecification</h4>
<pre>void&nbsp;setBase_ExecutionSpecification(org.eclipse.uml2.uml.ExecutionSpecification&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_ExecutionSpecification--"><code><em>Base Execution Specification</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Execution Specification</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_ExecutionSpecification--"><code>getBase_ExecutionSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_BehavioralFeature--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_BehavioralFeature</h4>
<pre>org.eclipse.uml2.uml.BehavioralFeature&nbsp;getBase_BehavioralFeature()</pre>
<div class="block">Returns the value of the '<em><b>Base Behavioral Feature</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Behavioral Feature</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Behavioral Feature</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-"><code>setBase_BehavioralFeature(BehavioralFeature)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Base_BehavioralFeature--"><code>GRMPackage.getGrService_Base_BehavioralFeature()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_BehavioralFeature-org.eclipse.uml2.uml.BehavioralFeature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_BehavioralFeature</h4>
<pre>void&nbsp;setBase_BehavioralFeature(org.eclipse.uml2.uml.BehavioralFeature&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_BehavioralFeature--"><code><em>Base Behavioral Feature</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Behavioral Feature</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_BehavioralFeature--"><code>getBase_BehavioralFeature()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Behavior--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Behavior</h4>
<pre>org.eclipse.uml2.uml.Behavior&nbsp;getBase_Behavior()</pre>
<div class="block">Returns the value of the '<em><b>Base Behavior</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Behavior</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Behavior</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_Behavior-org.eclipse.uml2.uml.Behavior-"><code>setBase_Behavior(Behavior)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Base_Behavior--"><code>GRMPackage.getGrService_Base_Behavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Behavior-org.eclipse.uml2.uml.Behavior-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Behavior</h4>
<pre>void&nbsp;setBase_Behavior(org.eclipse.uml2.uml.Behavior&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Behavior--"><code><em>Base Behavior</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Behavior</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Behavior--"><code>getBase_Behavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_Collaboration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Collaboration</h4>
<pre>org.eclipse.uml2.uml.Collaboration&nbsp;getBase_Collaboration()</pre>
<div class="block">Returns the value of the '<em><b>Base Collaboration</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Collaboration</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Collaboration</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_Collaboration-org.eclipse.uml2.uml.Collaboration-"><code>setBase_Collaboration(Collaboration)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Base_Collaboration--"><code>GRMPackage.getGrService_Base_Collaboration()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Collaboration-org.eclipse.uml2.uml.Collaboration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Collaboration</h4>
<pre>void&nbsp;setBase_Collaboration(org.eclipse.uml2.uml.Collaboration&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Collaboration--"><code><em>Base Collaboration</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Collaboration</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_Collaboration--"><code>getBase_Collaboration()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_CollaborationUse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_CollaborationUse</h4>
<pre>org.eclipse.uml2.uml.CollaborationUse&nbsp;getBase_CollaborationUse()</pre>
<div class="block">Returns the value of the '<em><b>Base Collaboration Use</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Collaboration Use</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Collaboration Use</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#setBase_CollaborationUse-org.eclipse.uml2.uml.CollaborationUse-"><code>setBase_CollaborationUse(CollaborationUse)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.html#getGrService_Base_CollaborationUse--"><code>GRMPackage.getGrService_Base_CollaborationUse()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_CollaborationUse-org.eclipse.uml2.uml.CollaborationUse-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBase_CollaborationUse</h4>
<pre>void&nbsp;setBase_CollaborationUse(org.eclipse.uml2.uml.CollaborationUse&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_CollaborationUse--"><code><em>Base Collaboration Use</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Collaboration Use</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html#getBase_CollaborationUse--"><code>getBase_CollaborationUse()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GrService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/MutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GrService.html" target="_top">Frames</a></li>
<li><a href="GrService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
